## org.apache.fop.layout
Class TextState

    java.lang.Object
      |
      +--org.apache.fop.layout.TextState

public class TextState
extends java.lang.Object

This class holds information about text-decoration

Field Summary
`protected boolean` `linethrough`
`protected boolean` `overlined`
`protected boolean` `underlined`

Constructor Summary
`TextState()`

Method Summary
`boolean` `getLineThrough()`
`boolean` `getOverlined()`
`boolean` `getUnderlined()`
`void` `setLineThrough(boolean lt)`
`void` `setOverlined(boolean ol)`
`void` `setUnderlined(boolean ul)` set text as underlined

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### underlined

    protected boolean underlined

### overlined

    protected boolean overlined

### linethrough

    protected boolean linethrough

Constructor Detail

### TextState

    public TextState()
              throws FOPException

Method Detail

### getUnderlined

    public boolean getUnderlined()

  Returns:
    true if text should be underlined

### setUnderlined

    public void setUnderlined(boolean ul)

  set text as underlined

### getOverlined

    public boolean getOverlined()

  Returns:
    true if text should be overlined

### setOverlined

    public void setOverlined(boolean ol)

### getLineThrough

    public boolean getLineThrough()

### setLineThrough

    public void setLineThrough(boolean lt)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.